* {
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Roboto', sans-serif;
    font-size: 1em;
    color: rgba(0, 0, 0, 0.8);
}

p {
    line-height: 1.5;
    margin-bottom: 1em;
}

.container {
    display: grid;
    grid-template-columns: 5% auto 5%;
    background-color: #fdfdfd;
}

.sprite {
    display: inline-block;
    width: 48px; 
    margin-right: 16px;
    vertical-align: middle;
    padding-bottom: 4px;
}

#welcome{
    font-size: 2em;
}
#projects{
    font-size: 1.5em;
}

.wide {
    grid-column: 1 / -1;
}

a {
    text-decoration: none;
    color: #056BE2;
}

a > div > * {
    color: rgba(0, 0, 0, 0.8);
}
a > div > *:hover {
    color: rgba(0,0,0,1);
    transition: color 0.3s;
}

a:hover {
    color: #0A45B5;
    transition: color 0.3s;
}

nav > a, nav a:hover {
    text-decoration: none;
}
nav {
    padding: 24px 0;
    display: flex;
    justify-content: flex-end;
}
nav > a {
    display: block;
    line-height: 2;
    color: rgba(0, 0, 0, 0.8);
}
nav a + a {margin-left: 24px;}
nav a:hover {
    color: rgba(0,0,0,1);
    transition: color 0.3s;
}
#brand {
    margin-right: auto;
    font-size: 1.5em;
    font-weight: 500;
    line-height: 1.5;
    color: rgba(0, 0, 0, 0.8);
}

h1,
h2,
h3 {
    font-family: 'Roboto', sans-serif;
}
h1 {
    margin: 32px 0;
    line-height: 1.2;
    font-weight: 500;
}
h2 {
    margin: 24px 0;
    line-height: 1.25;
    font-weight: 400;
}
h3 {
    font-weight: 400;
    text-align: center;
}

img {
    width: 100%;
    border-radius: 4px;
}
.card {margin-bottom: 40px;}
.card > h3 {
    margin-top: 16px;
}
.shadow {
    box-shadow: 0 8px 12px 0px rgba(0, 0, 0, 0.1);
}

section > div > img, video {
    margin-bottom: 32px;
}

.caption {
    margin-top: -20px;
    margin-bottom: 48px;
    color: #6C7680;
}
.block {
    margin-bottom: 24px;
}

.major_block {
    margin-bottom: 48px;
}

.about-container {
    display: grid;
    grid-template-rows: 142px auto;
    padding-top: 32px;
    justify-items: center;
    grid-row-gap: 32px;
}
.about-container > img {
    max-width: 142px;
}

.contact-container {
    display: grid;
    grid-template-columns: 48px 48px;
    grid-column-gap: 16px;
    justify-content: center;
}

@media only screen and (min-width: 480px){
    nav a + a {margin-left: 40px;}
    
    #welcome{
        font-size: 2.5em;
    }
}
@media only screen and (min-width: 640px){
    .about-container {
        display: grid;
        grid-template-columns: 142px auto;
        grid-template-rows: auto;
        grid-column-gap: 48px;
    }
}

@media only screen and (min-width: 880px){
    .container {
        display: grid;
        grid-template-columns: 1fr 800px 1fr;
    }
}


.container > * {
    grid-column: 2;
}

.btn-social {
    display: inline-block;
    width: 48px;
    height: 48px;
    border: 2px solid rgba(0, 0, 0, 0.8);
    border-radius: 100%;
    line-height: 44px;
    text-align: center;
    color: rgba(0, 0, 0, 0.8);
}

.btn-social:hover,
.btn-social:focus,
.btn-social:active {
    background: rgba(0, 0, 0, 0.8);
    color: #f5f5f5;
    transition: color 0.3s;
}

hr {
    color: rgba(0, 0, 0, 0.3);
}

footer {
    padding: 24px 0;
}

/* 





*/